
setInfos(6, "The TV Show Tester", "This tease is for both males and females randomly imitating pictures. Just act and pose as similar as the person in the picture (if male, improvise).", "DartSmart, Doti", "complete", 0xEEFFEE, "fr", ["exhibition", "sequel", "formale", "forfemale", "long"]);

// Milovana - https://milovana.com/webteases/showtease.php?id=23068
setImage("milovana/23068/10-6f1d35259e6b3f2d016ae2848877216ae38c9223.jpg")

def last = loadInteger("tvshowtester.start")
if(last!=null) {
	if(last<getTime() - 24*3600) {
		show("Vous êtes tellement en retard que vous avez perdu. Mais nous aurons besoin de faire d'autres tests, revenez quand vous voulez")
		wait(20)
		setImage(null)
		show("")
		save("tvshowtester.start", null)	
		return
	} else {		
		if(getBoolean("C'est un plaisir de vous revoir.", "J'ai toutes les photos", "J'ai besoin de plus de temps")) {
			show("Voyons voir vos photos...")
			wait(5)
			show("Huh....")
			wait(3)
			show("Oh!")
			wait(5)
			show("He he")
			wait(5)
			show("Ce spectacle sera un succès, n'ayez aucun doute à ce sujet.")
			wait(10)
			show("Il n'y a pas de clause de non-divulgation sur ces photos, si vous voulez être nommé plus tard par nous sur notre chaîne... "+
				"vous feriez mieux de poster ces images sur un compte internet, mais vous faites comme vous voulez...")
			wait(15)
			show("Quoi qu'il en soit, nous devons faire d'autres tests, revenez quand vous voulez !")	
			save("tvshowtester.start", null)	
			wait(3)
			return
		} else {
			show("Well, "+(int)Math.floor((last + 24 * 3600 - getTime()) / 60)+" min remaining")
			wait(3)
			return
		}
	}
}

show("Bonjour de nouveau, vous souvenez vous de moi?")
showButton("Comment pourrais-je oublier, la dernière fois a été une expérience folle!")
show("Je suis de retour avec une nouvelle proposition, j'espère qu'elle vous plaira!\n"+
	"\n"+
	"Nous créons une nouvelle émission de télévision basée sur des photos prises en public en secret et vu que vous étiez si utile la dernière fois que nous aimerions que vous tester ce concept pour nous!")
showButton("Well...")

setImage("milovana/23068/20-f5ff23df147c233a7f43bf16356d63df0fbc36d0.jpg")
show("L'accord est que les participants jettent les dés, puis regarde une image, et si le même numéro se présente deux fois, il / elle doit imiter cette personne : la pose, le lieu, la situation et tout!!\n"+
	"\n"+
	"Pour démarrer la nouvelle émission de télévision nous avons besoin de tester le thème un peu. Et vous n'avez pas beaucoup de choix, puisque nous avons beaucoup de photos que nous pourrions utiliser de vos aventures  précédentes....\n"+
	"\n"+
	"Vous serez payé. Êtes-vous prêt ?")
showButton("Oui, je le suis, ça va être amusant!")

setImage(null)
show("<em>(Je devais être une partie de ce test comme ils l'appelaient, dans d'autres cas, elle utiliserait les photos qu'elle avait prises de moi. Nooon merci !)</em>")
wait(8)

setImage("milovana/23068/30-f71afec95deb86c1c07d15e8c20c2a33d1120209.jpg")
show("Je n'ai pas le temps de vous suivre partout, donc il suffit de prendre ce pack d'images, chacun a un petit numéro de 1-6, et lancez de dés avant de la regarder..\n"+
	"\n"+
	"Aller à travers les images dans le bon ordre de haut en bas, cela commence à l'intérieur, avant de passer à l'extérieur, à vous d'imiter les photos où le même nombre revient ... \n"+
	"\n"+
	"Utilisez cette caméra et la minuterie pour prendre des photos à chaque fois que vous avez le même numéro que l'image suivante, et pas de tricherie, faites la promesse")
showButton("Pas de tricherie, je le promets. Combien de temps ai-je?")

setImage("milovana/23068/40-18a0b3c7e91194c9bbb09aec89bb740c83426999.jpg")
show("Vous avez 24 heures jusqu'à demain. Il suffit de faire ce qu'on vous dit et je collectionne les photos demain, avec votre histoire sur la façon dont il est allé..\n"+
	"\n"+
	"Je promets d'utiliser les images discrètement si vous êtes conforme aux instructions. Amusez vous bien !")
showButton("Merci !")
wait(3)

show("<em>(Voyons voir et faisons rouler les dés, puis je vais passer en revue la liste complète avant d'y aller)</em>")
wait(4)

def pictures = [
	"50-b3a9ed61b19390979a91715680ea8d00f9511fa2.jpg",
	"60-0e8dbc06f06f3f0e66944f6c16a399bf6ee12f56.jpg",
	"70-7c4d1b402f6e2a738ce2bd2f0993ba16e3287df9.jpg",
	"80-1b9b8c09967935bbcc530d35948d659f34776462.jpg",
	"90-982bad1eff146896d7666ddc6dc2a2f737a97d37.jpg",
	"100-88029d466a779449a9e96e38c70289a718ceb87a.jpg",	
	"110-85bd8ecb1980793caa31a6f53535482b809f02f4.jpg",	
	"120-6b891ba9c55ef88b2c2f28e144ed5e4bed42a4df.jpg",
	"130-9da4b577126eba9140488b47740def22a58c98de.jpg",
	"140-53e256db44778e0c58b7b74b9eea9ac91ea6f064.jpg",
	"150-aad6750d4de053a9bc6c08c10d6ce7aff4e7f8eb.jpg",
	"160-585353ef4ce160591da86ccce025690bca3fd657.jpg",
	"170-a3f4cc5b307970f613543080ba11c4825e869a71.jpg",
	"180-b10992828be3869d18f0a3209a4f512a7035b6e2.jpg",
	"190-c5fc3ff94737a683f1e1dbae7d90781af40660b8.jpg",
	"200-37f0d9a181a7eac05258b295f4bc25a55950cb54.jpg",
	"210-b2e0268ed4cf63e98cb1f29fe4fa70fd23d05060.jpg",
	"220-b65ade998944ebf888d9c72599300ef5cbb8c63a.jpg",
	"230-768ba12d869bec502fe764ca64f61c070ae8c0c2.jpg",
	"240-65dc8fa293d445f6b270391de65727b0c8ec25bd.jpg",
	"250-214e6fb10ce36c2d68660e6f5bbb2bac69ee3272.jpg",	
	"260-77b2c0e687252803c30ab8c0b8aeccef803db388.jpg",
	"270-7102be05072f703ee60c226eae4f10b27ded68eb.jpg",
	"280-0e60c995703a5a1947b3bee991db83c6ef1976c3.jpg",
	"290-603f0acbd6afb04011ac144a40cf68f84faf74b9.jpg",
	"300-6b962305ba86837c52a72bb10f16885edd7a45d2.jpg",
	"310-47713160be87d1890317888f3707b09a873391f5.jpg",
	"320-027022509a8396c365252120342a6f9361e5917d.jpg",
	"330-e6a55f453ce22005283c5e56ccfde40f92dfd046.jpg",
	"340-7ac4e37bca15d351da63df31fbe81f683a7b3db2.jpg",
	"350-08568144bc68f2e342b721751230f097d7711795.jpg",
	"360-769e2a3f36bfb76e0d51b51d6fef7990a215088d.jpg",
	"370-12aee3d44082ce022694a1f72c00e6986f94bc91.jpg",
	"380-7fdbe294c71c103e04d40dc7c1475d497174e33e.jpg",
	"390-39620ee9a8c08f55044b5929dc381ec18c9e160f.jpg",
	"400-5120f3ae03d99d2a575ede8a00e79d99a655fa9e.jpg",
	"410-a6e87d9c9e6ac9de142b495189a23295854ebe04.jpg",
	"420-2067a1d8aaabac1a99800a048e64cfbfe5c62200.jpg",
	"430-3e91602b44309305fbc1717c5eaa1f998f17f857.jpg",
	"440-ab8c66b7cc63c60487a155fa7541e1d88f8eaeee.jpg",
	"450-fed5cf2a7bd5dd7161d0b0bebf7bfbf375b0f568.jpg",
	"460-9724350c5a74d6eb55488067c1c91fa712f4b3ce.jpg",
	"470-04712bbc98bd1c8c2ed5d95476880b8bb743ea46.jpg",
	"480-43150cc9b885d133d4c8d1d6d0aa9c8ced751f44.jpg",
	"490-c479be0cfadacd060bb47a2d7e52e1d7d254edee.jpg",
	"500-9eb1eb93d7ce019c42f137c51947b4174165a9a4.jpg",
	"510-bdefecc12b9b6e800262ada4652fbb1deacb6f95.jpg",
	"520-5ff03ca9f858a31aa9dfb753c0dd5ef0322c17a1.jpg",
	"530-f56fdff25c7b92f6efffbfa047f8968f9fc02af3.jpg",
	"540-af011ae4899cd48d0dac4fb527412047c554e480.jpg",
	"550-c8347a62664cab93b0bc12960b36b37a47baba25.jpg",
	"560-7b42b33ee51043bcada1606b40a7809701ffd6df.jpg",
	"570-4cfabf0775d7f3b537d336a3159927bbd6c4394e.jpg",
	"580-402cb98202b80899767c34471b5569296a312750.jpg",
	"590-0dc18dd9c805a20a3966b25694bdc334b49d4e1e.jpg",
	"600-050e71e0b3152d4ecea9f95e81337cd11c4e6394.jpg",
	"610-157e1f4cf9d7f497bc79277b20518a0519ba8eab.jpg",
	"620-32846c541f8910c66d063ff07d7bd825cf8713b9.jpg",
	"630-ca3d0b36a9f71111678126522792a38f30cecf9a.jpg",
	"640-e41b455dd75eaa0c57a9f9d449f5996a5af91936.jpg"
]

def toDoNumbers = []
for(def i=0;i<pictures.size();i++) {
	if(getRandom(2)==0) {
		show("")
		setImage("milovana/23068/"+pictures[i])
		def dice1 = getRandom(6)+1
		wait(1)
		show(dice1+"\n\n"+".")
		wait(3)
		showButton("Roll")
		def dice2 = getRandom(6)+1
		wait(1)
		if(dice1 == dice2) {
			show(dice1+"\n\n"+dice2+"!")
			toDoNumbers.push(i)
		} else {
			show(dice1+"\n\n"+dice2)
		}
		wait(1)
		showButton("Suivant")
	}
}
show("<em>(c'est tout)</em>")
wait(3)

while(getBoolean("<em>(Let's review again this list of "+toDoNumbers.size()+" pictures while she's waiting ?\n"+
	"I won't be able to see them after.)</em>")) {
	wait(2)	
	def n = 0
	for(def i in toDoNumbers) {
		setImage("milovana/23068/"+pictures[i])
		show(n+"/"+toDoNumbers.size())	
		showButton("Next")
		n++
	}
}
	
show("Nous avons adoré votre dernière photo, merci ! Nos caméras devait clignoter un peu trop ......\n"+
	"\n"+
	"Mon équipe muni d'une caméra invisible, nous vous avons suivi de sorte que nous avons maintenant suffisament de photos pour la première émission\n"+
	"\n"+
	"Désolé, je devais le faire, mais ne vous inquiétez pas, si vous l'avez bien fait, vous resterez anonyme, nous flouterons votre visage ! Pour le moment...\n"+
	"\n"+
	"Voici votre chèque de paie, la minuterie a commencé, vous verrez ça plus tard!")
save("tvshowtester.start", getTime())
showButton("A bientôt")
setImage(null)
show("")

// This script, from http://ss.deviatenow.com, is protected by this licence : 
// CC by-NC, see http://creativecommons.org/licenses/by-nc/3.0/
/*
 * Resources
 * scripts/tvshowtester_fr.groovy
 * images/milovana/23068/*
 */
